Bug 1340047 - Rebuild against new libdvdnav
Summary: Rebuild against new libdvdnav
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gstreamer1-plugins-bad-free
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Wim Taymans
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1068814 1326238
Blocks: 1297830 1313485
TreeView+ depends on / blocked
 
Reported: 2016-05-26 11:19 UTC by Bastien Nocera
Modified: 2016-11-04 04:52 UTC (History)
7 users (show)

Fixed In Version: gstreamer1-plugins-bad-free-1.4.5-4.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of: 1068814
Environment:
Last Closed: 2016-11-04 04:52:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2377 normal SHIPPED_LIVE libdvdnav and libdvdread bug fix update 2016-11-03 13:52:06 UTC

Description Bastien Nocera 2016-05-26 11:19:24 UTC
libdvdnav got updated to 5.0.3, so the plugin needs to be recompiled as the ABI changed.

+++ This bug was initially created as a clone of Bug #1068814 +++

Description of problem:
libdvdread 4.2.0 is shipped in RHEL7 beta, while current upstream is 4.2.1, which fixes a lot of crashes. Please rebase to 4.2.1.

Version-Release number of selected component (if applicable):
4.2.0-6.el7

Additional info:
Upstream changelog:
libdvdnav (4.2.1)
  * fixed failed assertion on menu-less DVDs
  * fixed playback issues on multi-angle DVDs
  * fixed crash when playing a DVD from different region than currently set
    in the DVD drive
  * fixed segfaults when reading certain DVDs (including "Jack Reacher",
    "Ghost Protocol", "Inside Man", "Tangled" and "The Dictator")

Comment 7 errata-xmlrpc 2016-11-04 04:52:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2377.html


Note You need to log in before you can comment on or make changes to this bug.